#!/bin/bash
set -ex

npm install -g npm-check-updates

# gitコマンドを利用するために必要な設定
git config --global --add safe.directory "${PWD}"

# git blameで無視するリビジョンを指定するファイルを設定
git config blame.ignoreRevsFile .git-blame-ignore-revs

for file in  /workspaces/ai-unit/.devcontainer/completions/*; do
    sudo ln -sfn "$file" "/usr/share/bash-completion/completions/$(basename "$file")"
done

# install packages
curl -LsSf https://astral.sh/uv/install.sh | sh
uv pip install -r backend/requirements.txt --system
uv pip install -r backend/tests/requirements.txt --system
uv pip install -r database/migration/requirements.txt --system
uv pip install -r database/fixture/requirements.txt --system

npm --prefix infra/account ci
npm --prefix infra/stage ci
